Subject: RE: [PATCH v5 00/14] builtin/config: introduce subcommands

From: <[email-masked]>
Date: Mon, 6 May 2024 16:38:59 -0400

On Monday, May 6, 2024 4:22 PM, Taylor Blau wrote:
>On Mon, May 06, 2024 at 10:55:51AM +0200, Patrick Steinhardt wrote:
>> Hi,
>>
>> this is the fifth and hopefully last version of my patch sthat
>> introduces subcommands into git-config(1).
>>
>> The only changes compared to v4 are some fixes to commit messages.
>> Otherwise I'm not aware of any other feedback that would need to be
>> addressed.
>
>Thanks for the new round. I took a close look through the series, and couldn't see
>any remaining issues. I appreciate the translation guide you included in the
>documentation to indicate "git config --add" is replaced by things like "git config set
>--append".

Please make sure that there is a compatibility mode available for some large period. There are huge numbers of scripts in the customer base I deal with that use config extensively. Changing the CLI for this will be dire consequences.